Last Comment Bug 768207 - Make the cache checkbox default-on in the new calendar dialog
: Make the cache checkbox default-on in the new calendar dialog
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Dialogs (show other bugs)
: Trunk
: All All
-- normal (vote)
: 4.0.0.1
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on: calcache
Blocks: ltn40
  Show dependency treegraph
 
Reported: 2012-06-25 14:08 PDT by Vincent (caméléon)
Modified: 2015-05-19 06:18 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot of the problem (french locale).png (51.05 KB, image/png)
2012-06-25 14:08 PDT, Vincent (caméléon)
no flags Details
Fix - v1 (3.22 KB, patch)
2015-02-14 03:37 PST, Philipp Kewisch [:Fallen]
ssitter: feedback-
Details | Diff | Splinter Review
Fix - v2 (1.33 KB, patch)
2015-05-02 09:08 PDT, Philipp Kewisch [:Fallen]
mohit.kanwal: review+
philipp: approval‑calendar‑aurora+
philipp: approval‑calendar‑beta+
Details | Diff | Splinter Review

Description User image Vincent (caméléon) 2012-06-25 14:08:45 PDT
Created attachment 636486 [details]
screenshot of the problem (french locale).png

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20100101 Firefox/13.0.1
Build ID: 20120614114901

Steps to reproduce:

Create a new calendar
Select "On the network" and see the windows


Actual results:

The last line is only a checkbox called "cache". No explanation,  no tooltip. I wonder what I am supposed to do here


Expected results:

Some text should describe what does this option mean in order to help the user
Comment 1 User image Philipp Kewisch [:Fallen] 2012-06-27 04:54:21 PDT
The Cache really boils down to offline support, so we should just rename the label to that effect. This will also give us more coverage, since users will likely want offline support in any case.

I guess we could go one step further and set this checkbox to on by default. This would bring us one step closer to always using the cache, but still give users the possibility to turn it off.
Comment 2 User image Vincent (caméléon) 2012-06-27 04:56:43 PDT
Hi Philipp,
I completely agree with you.
Comment 3 User image Stefan Sitter 2012-06-27 09:25:43 PDT
Enabling cache by default is Bug 462277 that still has some depending bugs open. In addition there might be more bugs that should be evaluated: https://bugzilla.mozilla.org/buglist.cgi?quicksearch=%3Acalendar%20summary%3Acache
Comment 4 User image Philipp Kewisch [:Fallen] 2012-08-07 13:43:28 PDT
Taking care of the label part in bug 780990. I'm leaving this open for defalult-on the cache in the new calendar dialog.

I'd like to see bug 780992 and bug 700637 fixed before fixing this one though, so removing the good-first-bug part.
Comment 5 User image Philipp Kewisch [:Fallen] 2015-02-12 17:23:37 PST
Stefan, I think we should attempt this for Lightning 4.0. We want to move towards the cache and may get broader testing this way. What do you think?
Comment 6 User image Philipp Kewisch [:Fallen] 2015-02-14 03:37:47 PST
Created attachment 8564515 [details] [diff] [review]
Fix - v1

To speed things up, I went ahead and created a patch. I'm still open to discussion though.

This patch does go a bit further than the bug title describes and already half-fixes bug 462277: It will remove the cache checkbox from the new calendar wizard and default the cache to on.

To fix bug 462277 we would have to remove the checkbox from the calendar properties dialog too and after that gradually remove all the uncached calendar code.

I think this is a sensible step at the moment, we will get more testing and users can still disable offline support if they think its causing problems.
Comment 7 User image Stefan Sitter 2015-02-25 12:30:41 PST
Comment on attachment 8564515 [details] [diff] [review]
Fix - v1

I did not look at the patch yet. Enabling the offline cache by default might be done to get some more testing to stabilize the feature. But just from reading bugmail it seems that currently users still experience problems when offline cache is enabled. Therefore I think that removing the option to create calendar without offline cache is no good idea. Maybe this can be done once the feature is stable.
Comment 8 User image Philipp Kewisch [:Fallen] 2015-02-25 12:53:52 PST
Ok, fair enough. So would you agree to keeping the checkbox in the dialog, but checking it by default? Aside from that, we should devise a plan to get the feature to be stable. Do you have any more issues in mind then those referenced in bug 462277?
Comment 9 User image Philipp Kewisch [:Fallen] 2015-05-02 09:08:58 PDT
Created attachment 8600608 [details] [diff] [review]
Fix - v2

Ok, this patch only does default-on and correctly saves state of the checkbox between provider changes.
Comment 10 User image Mohit Kanwal [:redDragon] 2015-05-03 07:05:51 PDT
Comment on attachment 8600608 [details] [diff] [review]
Fix - v2

Review of attachment 8600608 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good to me.
Comment 11 User image Philipp Kewisch [:Fallen] 2015-05-15 13:00:10 PDT
Comment on attachment 8600608 [details] [diff] [review]
Fix - v2

Review of attachment 8600608 [details] [diff] [review]:
-----------------------------------------------------------------

We'll need to push this soon, setting checkin-needed. ssitter, if you have comments feel free to bring them in any time!
Comment 12 User image Philipp Kewisch [:Fallen] 2015-05-19 05:38:49 PDT
Pushed to comm-central changeset 277d5337de93
Comment 13 User image Philipp Kewisch [:Fallen] 2015-05-19 05:41:19 PDT
Backported to releases/comm-aurora changeset 5af28a1ea344
Comment 14 User image Philipp Kewisch [:Fallen] 2015-05-19 05:56:41 PDT
Backported to releases/comm-beta changeset 36189f77dfe9
Comment 15 User image Philipp Kewisch [:Fallen] 2015-05-19 06:18:59 PDT
Backported to releases/comm-beta changeset 8d40ecd6bb9f (THUNDERBIRD_38_VERBRANCH)

Note You need to log in before you can comment on or make changes to this bug.